#ifndef FILETREELIST_H_INCLUDED
#define FILETREELIST_H_INCLUDED

#include <Wt/WContainerWidget>
#include <Wt/WPushButton>
#include <Wt/WText>
//#include <boost/filesystem/path.hpp>
#include <Wt/FileTreeNode.h>

class TreeNode;

class FileTreeList : public Wt::WContainerWidget
{
public:
    FileTreeList(const std::string& path, Wt::WContainerWidget *parent = NULL);
    bool GetCheckedFile(std::string& path);

private:
    //const boost::filesystem::path m_path;
    std::string m_path;
    FileTreeNode *tree_;

};

#endif // FILETREELIST_H_INCLUDED
